=pod

=head1 NAME

ave.pl - Average a series of grades

=head1 SYNOPSIS

    perl ave.pl

=head1 DESCRIPTION

The I<ave.pl> averages a series of grades.  To make the program
the data is contained in the program.


=head1 EXAMPLES

Sample run:

        perl ave.pl
	Student oualline Average 95
	Student smith Average 86
	Student jones Average 42

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

while (<DATA>)
{
    if (/^#/)
    {
        next;
    }
    my @grades = split /[ \t]+/, $_;
    my $name = shift @grades;
    my $ave = ($grades[0] + $grades[1] + $grades[2]) / 3;
    print "Student $name Average $ave\n";
}

__DATA__
# Student       Grade   Grade   Grade
oualline        98      95      92
smith           75      84      99
jones           45      26      55
