# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

name1.pl - Say hello to you by name

=head1 SYNOPSIS

    perl name1.pl

=head1 DESCRIPTION

The I<name1.pl> asks for your name, then greets you by name.   Actually, it 
demonstrates I/O as well as what happens when you fail to use the B<chomp>
function.

=head1 BUGS

The output is screwed by a newline appearing where it shouldn't.

=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut

use strict;
use warnings;
my $name; 		                    # Name of the user
print "Enter name: ";
$name = <STDIN>;
print "Hello $name. How are you?\n";  # Send name to STDOUT
