# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

array.pl - Find the biggest and smallest element in a array

=head1 SYNOPSIS

    perl array.pl

=head1 DESCRIPTION

The I<array.pl> examines an array (built in the program) and prints
the largest and smallest value.

=head1 EXAMPLES

Sample run:

        perl array.pl
	Biggest is 99, smallest 12

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

# Array to examine
my @array = (45, 98, 20, 12, 83, 64, 98, 33, 99);
my $biggest;   # Biggest element in the array
my $smallest;  # Smallest element in the array

# Assume that the first element is the biggest / smallest
$biggest = $array[0];
$smallest = $array[0];

# Loop through the rest of the elements of the array
# checking for the biggest and smallest
for (my $index = 1; $index <= $#array; $index++) {
    if ($array[$index] > $biggest) {
        $biggest = $array[$index];
    }
    if ($array[$index] < $smallest) {
        $smallest = $array[$index];
    }
}
print "Biggest is $biggest, smallest $smallest\n";
