# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

comment.pl - Test regular expression logic (find comments)

=head1 SYNOPSIS

    perl comment.pl

=head1 DESCRIPTION

The I<comment.pl> demonstrates the use of the regular expression I</#/>.


=head1 EXAMPLES

Sample run

	perl comment.pl
	COMMENT: # Starts with a hash
	CODE:    This one's got nothing
	COMMENT: There is # in the middle
	COMMENT: One at the end #
	COMMENT: Two # in the # line
	CODE:    No hash

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

my @strings = (
    "# Starts with a hash",
    "This one's got nothing",
    "There is # in the middle",
    "One at the end #",
    "Two # in the # line",
    "No hash");
my $i;

for ($i = 0; $i <= $#strings; $i++) {
    if ($strings[$i] =~ /#/) {
        print "COMMENT: $strings[$i]\n";
    } else {
        print "CODE:    $strings[$i]\n";
    }
}
