# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

hello.pl - Inline version of Hello world

=head1 SYNOPSIS

    perl hello.pl 

=head1 DESCRIPTION

The I<hello.pl> prints "Hello World".  However it goes to the 
trouble of calling a C function to do it.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

use Inline "C";

sub say_hello();

say_hello();


__END__
__C__
void say_hello() {
    printf("Hello World\n");
}
