=pod

=head1 NAME

phone.pl - Turn alphabetic phone numbers into numbers

=head1 SYNOPSIS

    perl phone.pl <number-string>

=head1 DESCRIPTION

The I<phone.pl> program turns phone numbers containing letters
into something you can dial.  For example:

	1-800-POORNUM

becomes

	1-800-7667686

=cut
use strict;
use warnings;

# A hash  keys=letters, values=numbers
my %xlate = (
    'a' => 2, 'b' => 2, 'c' => 2,
    'd' => 3, 'e' => 3, 'f' => 3,
    'g' => 4, 'h' => 4, 'i' => 4,
    'j' => 5, 'k' => 5, 'l' => 5,
    'm' => 6, 'n' => 6, 'o' => 6,
    'p' => 7, 'q' => 7, 'r' => 7, 's' => 7,
    't' => 8, 'u' => 8, 'v' => 8,
    'w' => 9, 'x' => 9, 'y' => 9, 'z' => 9,
    'A' => 2, 'B' => 2, 'C' => 2,
    'D' => 3, 'E' => 3, 'F' => 3,
    'G' => 4, 'H' => 4, 'I' => 4,
    'J' => 5, 'K' => 5, 'L' => 5,
    'M' => 6, 'N' => 6, 'O' => 6,
    'P' => 7, 'Q' => 7, 'R' => 7, 'S' => 7,
    'T' => 8, 'U' => 8, 'V' => 8,
    'W' => 9, 'X' => 9, 'Y' => 9, 'Z' => 9);

# Put together all the arguements as one big string
my $string = join ' ', @ARGV;

# Now split things up into characters
my @chars = unpack("A1" x length($string), $string);

# Go through each character and translate it
foreach my $cur_char (@chars)
{
    if (defined($xlate{$cur_char})) {
    	print $xlate{$cur_char};
    } else {
        print $cur_char;
    }
}
print "\n";


